## condor 8.4.0~dfsg.1

=== externals/bundles/blahp/1.16.5.1/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

# The source tarball for this external was downloaded from this URL:
#   http://jra1mw.cvs.cern.ch:8180/cgi-bin/jra1mw.cgi/org.glite.ce.blahp.tar.gz?view=tar&pathrev=glite-ce-blahp_R_1_16_5_1

if ( LINUX )
	option(WITH_BLAHP "Compiling with support for BLAHP" ON)
endif ( LINUX )

if ( WITH_BLAHP )

	if ( NOT PROPER )

		########################################
		if (NOT AUTOCONF OR NOT AUTOMAKE OR NOT LIBTOOLIZE)
			message(FATAL_ERROR "Can't find autoconf, automake, or libtoolize, needed to build blahp external!")
		endif()

		if (PREFER_CPP11)
			set( CPP11_FLAG -std=c++11 )
		else()
			set( CPP11_FLAG "-I${BOOST_INCLUDE}" )
		endif()

		if ( BUILDING_OPENSSL )
			set( BLAHP_DEPENDS ${OPENSSL_REF} ${GLOBUS_REF} )
			set( GLOBUS_M4_FILE globus.m4 )
			set( OPENSSL_FLAG --with-openssl-prefix=${OPENSSL_INSTALL_LOC} )
		else()
			set( BLAHP_DEPENDS ${GLOBUS_REF} )
			set( GLOBUS_M4_FILE globus.m4.openssl )
			set( OPENSSL_FLAG "" )
		endif()


		condor_pre_external( BLAHP blahp-1.16.5.1-p17 "lib;include" "done")
		
		ExternalProject_Add(blahp
						DEPENDS ${BLAHP_DEPENDS}
					    #-- Download Step ----------
					    DOWNLOAD_DIR ${BLAHP_STAGE}/dl
						URL ${EXTERNALS_SOURCE_URL}/blahp-1.16.5.1.tar.gz
						#--Patch step ----------
						PATCH_COMMAND patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/iclassad.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/classad.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/mtrace.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/registry.patch -p1 && 
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/dl.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/lsf-jobid.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/add-sge.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/sge-status.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/sge-status-fallback.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/sge_helper.error-exit.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/add-condor.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/pbs-completion.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/pbs-qdel.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/pbs-status.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/shared-fs.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/shared-dir.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/config-paths.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/escape-args.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/condor-history.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/condor-status.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/submit-l.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/slurm.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/proxy-tools.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/ld-library-path.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/run-dir.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/request-memory.patch -p1 &&
							cp ${CMAKE_CURRENT_SOURCE_DIR}/classads.m4 project/ &&
							cp ${CMAKE_CURRENT_SOURCE_DIR}/${GLOBUS_M4_FILE} project/globus.m4 &&
							cp ${CMAKE_CURRENT_SOURCE_DIR}/glite.m4 project/ &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/name-change.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/lsf-status.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/lsf-submit-conf.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/pbs-empty-jobid.patch -p1 &&
							mv config/blah.config.template config/batch_gahp.config.template
						#--Configure step ----------
						CONFIGURE_COMMAND export CPPFLAGS=${CPP11_FLAG} &&
							./bootstrap && ./configure --with-classads-prefix=${CLASSADS_INSTALL_LOC}
							${OPENSSL_FLAG}
							--with-globus-prefix=${GLOBUS_INSTALL_LOC}
							--with-globus-nothr-flavor=gcc${BIT_MODE}dbg
							--prefix=${BLAHP_INSTALL_LOC}/opt/glite &&
							sed -i s/^hardcode_libdir_flag_spec=.*/hardcode_libdir_flag_spec=/ libtool
						#--Build Step ----------
						BUILD_COMMAND export LD_RUN_PATH=${EXTERNALS_RPATH} && echo EXTERNALS_RPATH is ${EXTERNALS_RPATH} && env && make
						BUILD_IN_SOURCE 1
						#--install Step ----------
						INSTALL_DIR ${BLAHP_INSTALL_LOC}
						INSTALL_COMMAND make install && touch ${BLAHP_INSTALL_LOC}/done )

		add_dependencies(blahp ${CLASSADS_FOUND})

		### set the install
		install ( DIRECTORY ${BLAHP_INSTALL_LOC}/opt/glite DESTINATION ${C_LIBEXEC} USE_SOURCE_PERMISSIONS )
		install ( CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ../../lib ${CMAKE_INSTALL_PREFIX}/${C_LIBEXEC}/glite/lib)" )
		if ( CONDOR_STRIP_PACKAGES AND NOT CONDOR_PACKAGE_BUILD )
			# Strip the libraries manually.
			# Since cmake didn't create the libraries
			# itself, it doesn't know to strip them.
			install( CODE "execute_process(COMMAND find \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${C_LIBEXEC}/glite/bin/. -name [bBt]*[^h]
				COMMAND xargs strip)" )
		endif()

		condor_post_external( blahp OFF OFF )

		set(BLAHP_FOUND ON)

	else ( NOT PROPER )

		find_program( BLAHP_FOUND BLClient HINTS /usr/bin )
		dprint("Scanning for BLClient...(${BLAHP_FOUND})")

	endif ( NOT PROPER )


endif( WITH_BLAHP )

if ( BLAHP_FOUND )
	message( STATUS "external configured (blahp) BLAHP_FOUND=${BLAHP_FOUND}" )
	set( BLAHP_FOUND ${BLAHP_FOUND} PARENT_SCOPE )
	set( HAVE_EXT_BLAHP ON PARENT_SCOPE )
else()
	message ( STATUS "external skipped (blahp)" )
endif ( BLAHP_FOUND )

=== debian/changelog ===
condor (8.4.0~dfsg.1-1~nd15.04+1+nd15.10+1) wily; urgency=medium

  * Backported for wily.

 -- unamed <unknown>  Thu, 05 Nov 2015 21:55:09 -0500

condor (8.4.0~dfsg.1-1~nd15.04+1) vivid; urgency=medium

  * Backported for vivid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Wed, 23 Sep 2015 20:15:54 +0200

condor (8.4.0~dfsg.1-1) unstable; urgency=medium

  * First upstream in new 8.4 stable series. Updates:
    - leaner resource footprint for up to 200k simultaneous jobs in a
      single pool
    - run Docker containers as jobs
    - configurable encryption of execution directories
    - support for simultaneous IPv4 and IPv6 connections
    - adminstrator can establish requirements that must be satisfied in order
      for a job to be queued
    - new default shared port (if used) is 9618, instead of the previous
      random default
    - automatic tuning of certain kernel parameters for improved scalability
      enabled by default (see LINUX_KERNEL_TUNING_SCRIPT).
  * Install systemd service file.
  * Install default submit configuration for interactive jobs in
    /etc/condor/interactive.sub and set default configuration for
    INTERACTIVE_SUBMIT_FILE accordingly.
  * Tighten versioned dependency on libclassad package -- observed missing
    symbols, despite unchanged SO version.
  * Install documentation under /usr/share/doc/htcondor (no longer just
    'condor').
  * Add docker as suggested package, due to the addition of the
    DockerUniverse.
  * Recommend package 'ecryptfs-utils': when installed HTCondor can be
    instructed to encrypt job EXECUTE directories on a system-wide, or
    per-job basis.
  * Install linux-kernel-tuning script as a config file into /etc/condor.
  * Update patch to avoid non-literal string processing without format
    strings [-Werror=format-security].
  * Build with Virtual Organization Membership Service support. Added
    voms-dev as a build-dependency.
  * Add a watch file.

 -- Michael Hanke <mih@debian.org>  Tue, 15 Sep 2015 07:32:31 +0200

=== debian/control ===
Source: condor
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: HTCondor Developers <condor-debian@cs.wisc.edu>
Uploaders: Michael Hanke <mih@debian.org>,
           Brian Lin <blin@cs.wisc.edu>
Section: science
Priority: extra
Build-Depends: autotools-dev,
               chrpath,
               cmake,
               debhelper (>= 9~),
               default-jdk | gcj-jdk,
               dh-autoreconf,
               gsoap (>= 2.7.17-1~),
               help2man,
               latex2html,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcgroup-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libglobus-ftp-client-dev,
               libglobus-gass-server-ez-dev,
               libglobus-gram-client-dev,
               libglobus-gram-protocol-dev,
               libglobus-gss-assist-dev,
               libkrb5-dev,
               libldap2-dev | libldap-dev,
               libpcre3-dev,
               libpq-dev,
               libvirt-dev,
               libx11-dev,
               libxml2-dev,
               po-debconf,
               python-dev,
               transfig,
               uuid-dev,
               voms-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/condor.git
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/condor.git
Homepage: http://research.cs.wisc.edu/htcondor

Package: htcondor
Architecture: any
Depends: neurodebian-popularity-contest, adduser,
         debconf | debconf-2.0,
         libdate-manip-perl,
         python,
         libclassad7 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: dmtcp, ecryptfs-utils
Suggests: docker, coop-computing-tools
Breaks: condor (<< 8.0.5~)
Replaces: condor (<< 8.0.5~)
Description: distributed workload management system
 Like other full-featured batch systems, HTCondor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to HTCondor;
 HTCondor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, HTCondor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. HTCondor
 does not require a shared file system across machines - if no shared file
 system is available, HTCondor can transfer the job's data files on behalf of
 the user.
 .
 This package can set up an appropriate initial configuration at install
 time for a machine intended either as a member of an existing HTCondor pool
 or as a "Personal" (single machine) HTCondor pool.

Package: htcondor-dev
Architecture: any
Section: libdevel
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${shlibs:Depends}
Breaks: condor-dev (<< 8.0.5~)
Replaces: condor-dev (<< 8.0.5~)
Description: distributed workload management system - development files
 Like other full-featured batch systems, HTCondor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to HTCondor;
 HTCondor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, HTCondor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. HTCondor
 does not require a shared file system across machines - if no shared file
 system is available, HTCondor can transfer the job's data files on behalf of
 the user.
 .
 This package provides headers and libraries for development of HTCondor
 add-ons.

Package: htcondor-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends}
Breaks: condor-doc (<< 8.0.5~)
Replaces: condor-doc (<< 8.0.5~)
Description: distributed workload management system - documentation
 Like other full-featured batch systems, HTCondor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to HTCondor;
 HTCondor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, HTCondor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. HTCondor
 does not require a shared file system across machines - if no shared file
 system is available, HTCondor can transfer the job's data files on behalf of
 the user.
 .
 This package provides HTCondor's documentation in HTML and PDF format, as well
 as configuration and other examples.

Package: htcondor-dbg
Architecture: any
Section: debug
Depends: neurodebian-popularity-contest, htcondor (= ${binary:Version}),
         ${misc:Depends}
Breaks: condor-dbg (<< 8.0.5~)
Replaces: condor-dbg (<< 8.0.5~)
Description: distributed workload management system - debugging symbols
 Like other full-featured batch systems, HTCondor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to HTCondor;
 HTCondor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, HTCondor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. HTCondor
 does not require a shared file system across machines - if no shared file
 system is available, HTCondor can transfer the job's data files on behalf of
 the user.
 .
 This package provides the debugging symbols for HTCondor.

Package: libclassad-dev
Architecture: any
Section: libdevel
Depends: neurodebian-popularity-contest, libclassad7 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libclassad0-dev
Replaces: libclassad0-dev
Description: HTCondor classads expression language - development library
 Classified Advertisements (classads) are the lingua franca of HTCondor, used
 for describing jobs, workstations, and other resources. There is a protocol
 for evaluating whether two classads match, which is used by the HTCondor
 central manager to determine the compatibility of jobs, and workstations where
 they may be run.
 .
 This package provides the static library and header files.

Package: libclassad7
Architecture: any
Section: libs
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${shlibs:Depends}
Description: HTCondor classads expression language - runtime library
 Classified Advertisements (classads) are the lingua franca of HTCondor, used
 for describing jobs, workstations, and other resources. There is a protocol
 for evaluating whether two classads match, which is used by the HTCondor
 central manager to determine the compatibility of jobs, and workstations where
 they may be run.
 .
 This package provides the runtime library.

Package: condor
Architecture: all
Section: oldlibs
Depends: neurodebian-popularity-contest, htcondor,
         ${misc:Depends}
Description: transitional dummy package
 This package aids upgrades of existing Condor installations to the new project
 and package name "HTCondor". The package is empty and it can safely be
 removed.

Package: condor-doc
Architecture: all
Section: oldlibs
Depends: neurodebian-popularity-contest, htcondor-doc,
         ${misc:Depends}
Description: transitional dummy package
 This package aids upgrades of existing Condor installations to the new project
 and package name "HTCondor". The package is empty and it can safely be
 removed.

Package: condor-dev
Architecture: all
Section: oldlibs
Depends: neurodebian-popularity-contest, htcondor-dev,
         ${misc:Depends}
Description: transitional dummy package
 This package aids upgrades of existing Condor installations to the new project
 and package name "HTCondor". The package is empty and it can safely be
 removed.

Package: condor-dbg
Architecture: all
Section: oldlibs
Depends: neurodebian-popularity-contest, htcondor-dbg,
         ${misc:Depends}
Description: transitional dummy package
 This package aids upgrades of existing Condor installations to the new project
 and package name "HTCondor". The package is empty and it can safely be
 removed.
